package com.ys.bdtp.adm.mvvm.ui.screen.login

import android.content.SharedPreferences
import androidx.compose.foundation.Image
import androidx.compose.foundation.background
import androidx.compose.foundation.layout.*
import androidx.compose.foundation.shape.RoundedCornerShape
import androidx.compose.material.*
import androidx.compose.runtime.*
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.focus.FocusState
import androidx.compose.ui.focus.onFocusChanged
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.layout.ContentScale
import androidx.compose.ui.res.painterResource
import androidx.compose.ui.text.input.PasswordVisualTransformation
import androidx.compose.ui.text.input.VisualTransformation
import androidx.compose.ui.tooling.preview.Preview
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import androidx.constraintlayout.compose.ConstraintLayout
import androidx.core.content.edit
import com.google.accompanist.insets.statusBarsHeight
import com.ys.bdtp.adm.R
import com.ys.bdtp.adm.app.Token
import com.ys.bdtp.adm.mvvm.model.vo.request.Login
import com.ys.bdtp.adm.mvvm.vm.login.LoginViewModel
import org.kodein.di.compose.rememberInstance
import org.kodein.di.compose.rememberViewModel

@Composable
fun LoginScreen() {


    Row(
        modifier = Modifier
            .fillMaxSize()
            .background(Color.White)
    ) {
        Column(modifier = Modifier.weight(3.0f)) {
            LoginSide()
        }
        Column(
            modifier = Modifier.weight(2.0f)
        ) {
            LoginContent()
        }
    }
}

@Preview(widthDp = 1137, heightDp = 711)
@Composable
fun PreviewLoginScreen() {
    LoginScreen()
}